aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios/install_dotnet_5.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test-scenarios/install_dotnet_5.sh')
-rw-r--r--test-scenarios/install_dotnet_5.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test-scenarios/install_dotnet_5.sh b/test-scenarios/install_dotnet_5.sh
new file mode 100644
index 0000000..5f48eb1
--- /dev/null
+++ b/test-scenarios/install_dotnet_5.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "dotnet sdks" dotnet --list-sdks
+check "some major version of dotnet 5 is installed" dotnet --list-sdks | grep '5\.[0-9]*\.[0-9]*'
+check "dotnet version 5 installed" ls -l /usr/share/dotnet/sdk | grep '5\.[0-9]*\.[0-9]*'
+
+
+# Report result
+reportResults